Fork me on GitHub

About

EasyBundle is a simple library which supports internationalization. The library is dedicated for desktop applications.

The library consists of the basic elements:

  • Bundles - objects that store texts
  • Factories - responsible for creating bundles
  • Managers - responsible for the management of bundles
  • Bundles change listener - interface for objects that use bundles

All interaction between objects are described in the JavaDocs. Start reading from BundleManager.

Requirements

The library to run requires:

  • Java 6.0 or higher
  • Third-Party Dependencies (see list)

Download

You can download the library from this page or using various dependency management tools.

Examples

Get example projects source code from GitHub or download binaries from gabrys.biz.